function XYZ = ref2XYZ(ref,cmf,L,M)

% convert reflectance to XYZ
XYZ = cmf' * L * ref;

% limit values to [0 1] in sRGB color space
XYZw =  cmf' * L * ones(size(L,1),1);
sRGBw = XYZ2sRGB(XYZw,M);
k = max(sRGBw);
XYZ = XYZ / k;

end